Summary:	A tool which will start a program on a virtual console
Summary(de.UTF-8):	Tools zum Erstellen virtueller Konsolen
Summary(es.UTF-8):	Herramientas para creación de consolas virtuales
Summary(fr.UTF-8):	Outils pour créer des consoles virtuelles
Summary(pl.UTF-8):	Narzędzie uruchamiające program na konsoli wirtualnej
Summary(pt_BR.UTF-8):	Ferramentas para criação de consoles virtuais
Summary(ru.UTF-8):	Утилита для запуска программы на указанной виртуальной консоли
Summary(tr.UTF-8):	Sanal konsol yaratmak için araçlar
Summary(uk.UTF-8):	Утиліта для запуску програми на вказаній віртуальній консолі
Name:		open
Version:	1.4
Release:	20
License:	GPL
Group:		Applications/Console
Source0:	ftp://sunsite.unc.edu/pub/Linux/utils/console/%{name}-%{version}.tar.gz
# Source0-md5:	590781ba76d9d499d7843c0b4651da70
Patch0:		%{name}-includes.patch
ExcludeArch:	s390 s390x
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The open command starts a specified command with the first available
virtual console, or on a virtual console that you specify. Install the
open package if you regularly use virtual consoles to run programs.

%description -l de.UTF-8
Dieses Programm führt einen Befehl auf eine angegebene virtuelle
Konsolennummer aus. Es ist auch möglich, den Befehl auf die erste,
noch nicht in Gebrauch befindliche Konsole auszuführen.

%description -l es.UTF-8
Este programa ejecuta un comando en una determinada consola virtual.
También puede ejecutar el programa en la primera consola virtual que
no esté más en uso.

%description -l fr.UTF-8
Ce programme exécute une commande sur un numéro de console donné. il
peut aussi exécuter le programme sur la première console virtuelle qui
n'est pas encore utilisée.

%description -l pl.UTF-8
Polecenie open uruchamia podane polecenie na pierwszej dostępnej
konsoli wirtualnej, lub na podanej konsoli.

%description -l pt_BR.UTF-8
Este programa executa um comando numa determinada console virtual.
Também pode executar o programa no primeiro console virtual que não
está mais em uso.

%description -l ru.UTF-8
Программа open запускает указанную команду на первой доступной
виртуальной консоли или на консоли указанной пользователем.

%description -l tr.UTF-8
Bu program sayesinde bir kullanıcı istediği sanal konsolda bir program
koşturabilir. İstenirse program kullanımda olmayan ilk sanal konsolda
çalıştırılabilir.

%description -l uk.UTF-8
Програма open запускає вказану команду на першій доступній віртуальній
консолі чи на консолі вказаній користувачем.

%prep
%setup -q
%patch0 -p1

%build
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%attr(2755,root,root) %{_bindir}/open
%attr(755,root,root) %{_bindir}/switchto
%{_mandir}/man1/*
%changelog
* Mon Dec 19 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/open.git;a=log;h=master

* Mon Dec 19 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 622bcd8
- Release 20 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4d7e97d
- x32 rebuild
- release 19 (by relup.sh)

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 3c796d5
- rel 18

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 25be3d5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6a01d0f
- converted to UTF-8

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 9a1f272
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Sat Sep 25 2004 radek <radek@pld-linux.org> ea24e8a
- cosmetics (spaces -> tabs)

* Tue Nov 18 2003 undefine <undefine@pld-linux.org> 3e27175
- bump release to 17 to rebuild with ac

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 75ae0ae
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> bad6d6f
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Nov 27 2002 juandon <witekfl@pld-linux.org> adc3b38
- new %%doc

* Tue Apr 09 2002 kloczek <kloczek@pld-linux.org> cb7c01b
- merge translations from KSI and Conectiva.

* Tue Apr 09 2002 undefine <undefine@pld-linux.org> c67f7f3
- documentation is sometimes needed...

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> 8d7756e
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> ec25b40
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Thu Dec 06 2001 Jakub Bogusz <qboosh@pld-linux.org> 5762fe4
- pl translations; release 15

* Thu Jul 05 2001 kloczek <kloczek@pld-linux.org> 96046c0
- release 14: ExcludeArch: s390 s390x.

* Mon Jun 25 2001 kloczek <kloczek@pld-linux.org> ea411a5
- release 13.

* Mon Apr 30 2001 kloczek <kloczek@pld-linux.org> a013f84
- added using %%{rpmcflags} macro.

* Thu Jan 25 2001 Arkadiusz Miśkiewicz <arekm@maven.pl> 4985764
- Massive attack. We use -O0 instead -O flags while debug enabled.

